Showing "reduced functionality in develop module. Says to purchase membership or licence .

New Here ,
Dec 06, 2021 Dec 06, 2021

Copy link to clipboard

Copied

LRCC is showing "reducted funtionality" in develop module. Says to purchase membershp or licence .

TOPICS
Windows

Views

56

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 07, 2021 Dec 07, 2021

Copy link to clipboard

Copied

There is no current application called "LRCC", and the "CC" designation was at one time applied to the subscription version of LR6, and then later to the new cloud-centric version of Lightroom introduced in 2017. 

 

"Reduced funcionality" in the Develop module implies some version of the traditional desktop-centric version of Lightroom, now called Lightroom Classic, so what we really need to know is the specific version that you are referring to. Please do Help>System Info and post a screenshot of the first dozen lines.

 

Also, please advise if you have a paid-up Adobe subscription plan, and if so which one, or if you have only a perpetual license, and for which version (a perpetual license was only available for the traditional Lightroom versions 1 to 6).

 

The "reduced functionality" mode usually applies when either an existing subscription plan has lapsed, or possibly if a free trial has ended without a subscription being purchased.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
LEGEND ,
Dec 07, 2021 Dec 07, 2021

Copy link to clipboard

Copied

Please post your System Information as Lightroom Classic (LrC) reports it. In LrC click on Help, then System Info, then Copy. Paste that information into a reply. Please present all information from first line down to and including Plug-in Info. Info after Plug-in info can be cut as that is just so much dead space to us non-Techs.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Dec 07, 2021 Dec 07, 2021

Copy link to clipboard

Copied

LATEST

That indicates that the CC app/servers do not recognize this as a valid subscription or one that expired. That is, you can stop subscription and all modules expect Maps and Develop will still function. What does the Creative Cloud application show, can you restart or force it to try updating so it 'knows' you have a valid subscription?

You may need to contact Adobe but for some reason, your copy doesn't believe you have a current subscription and that's why you see this in Develop.

https://www.adobe.com/about-adobe/contact.html


Author “Color Management for Photographers" & "Photoshop CC Color Management/pluralsight"

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines